QGIS Application - Bug report #18237
CSV export issues (QGIS 3.0)
2018-02-27 12:50 AM-R L

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corruptsdata: Copied to github as #: 26128
Description

When exporting plotted .csv data to .csv (via save Vector Layer As menu), the resulting .csv is incomplete. l.e., it has missing lines of
data. There doesn't appear to be anything unique about the data points omitted in the exported .csv, and the exact same file can be
exported with zero issues in earlier versions of QGIS (e.g. 2.14.21). | typically do this re-export to csv with XYZ geometry to get

transformed coordinates, but the issue is still there even without geometry selected.

Example file attached. Data point 334201 is omitted when the file is re-exported as a .csv

History

#1 - 2018-02-27 02:05 AM - Nyall Dawson
- Status changed from Open to Feedback

| can't reproduce - can you post a step by step guide to reproduce or a screencast please?

#2 - 2018-02-27 03:06 AM - R L
Nyall Dawson wrote:

I can't reproduce - can you post a step by step guide to reproduce or a screencast please?

It appears to only happen when you chose an export projection different to what it was loaded in:

1. Layer->Add Layer->Add Delimited Text Layer
2. File Name -> choose 334 _MGAAMG_Test.csv
3. Geometry CRS -> EPSG:20354
4. Add

5. Right click on layer -> Save As
6. Format -> CSV

7.CRS -> EPSG:28354

8. deselect Add saved file to map

9. Geometry (under Layer Options) -> AS_XYZ
10. Hit Ok

11. Check exported csv - 334201 will be missing

#3 - 2018-03-01 06:09 AM-R L
- Assignee set to Nyall Dawson

#4 - 2018-03-01 06:14 AM - Nyall Dawson
- Assignee deleted (Nyall Dawson)

#5 - 2018-03-01 06:53 AM-R L

Ermmm, so what's the way forward with this one? Clearly a problem as far as | can tell.

#6 - 2018-03-01 11:22 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Regression? changed from No to Yes

- Crashes QGIS or corrupts data changed from No to Yes

Confirmed here with the provided steps.

#7 - 2018-09-22 05:42 PM - Even Rouault

| can't reproduce with the provided steps on QGIS 3.3 and GDAL 2.4dev on Linux

#8 - 2018-11-08 01:31 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#9 - 2018-12-27 04:58 PM - Nyall Dawson
- Resolution set to no timely feedback
- Status changed from Feedback to Closed

Files

334_MGAAMG_Test.csv 5.64 KB 2018-02-26
